=== debian/changelog ===
kaidan (0.12.2-1build1) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:11:04 +0100

kaidan (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - fix-account-login-crash.patch: drop, fixed upstream
  * Small updates to debian/copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Apr 2025 07:42:10 +0200
