=== debian/watch ===
version=4
https://download.kde.org/unstable/@PACKAGE@/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz
