## kaidan 0.12.2+p24.04+vstable+git20250901.0905

=== debian/changelog ===
kaidan (0.12.2+p24.04+vstable+git20250901.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 09:06:13 +0000

kaidan (0.12.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 22 Feb 2025 07:12:43 +1000

kaidan (0.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 22 Feb 2025 07:12:43 +1000

kaidan (0.9.1-5neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 19 Nov 2023 14:51:10 +1000

kaidan (0.8.0-2neon) focal; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 15:13:10 +1000

kaidan (0.7.0-0neon) focal; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 14:10:24 +1000

kaidan (0.6.0-0neon) focal; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 13:41:42 +1000

kaidan (0.5.0-0neon) focal; urgency=medium

  * new release

 -- Harald Sitter <sitter@kde.org>  Mon, 14 Sep 2020 15:58:58 +0200

kaidan (0.4.1-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 21 Jul 2019 15:02:20 +0200

kaidan (0.4.0-1) unstable; urgency=medium

  [ Linus Jahn ]
  * New upstream release.

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 21 Jul 2019 15:02:15 +0200

kaidan (0.4.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 09 May 2019 14:13:25 +0200

kaidan (0.3.2-1) unstable; urgency=medium

  * New upstream release

 -- JBBgameich <jbb.mail@gmx.de>  Sat, 03 Mar 2018 12:55:04 +0100

kaidan (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- JBBgameich <jbb.mail@gmx.de>  Mon, 20 Nov 2017 21:42:54 +0100

kaidan (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- JBBgameich <jbb.mail@gmx.de>  Sat, 19 Aug 2017 17:02:43 +0200

kaidan (0.3.0~dev+git20170803-1) unstable; urgency=medium

  * Changes for gloox rewrite
  * New pre release 0.3.0-dev 2017.08.03

 -- JBBgameich <jbb.mail@gmx.de>  Sun, 30 Jul 2017 22:02:20 +0200

kaidan (0.2.3-1) unstable; urgency=medium

  * New upstream release 

 -- JBBgameich <jbb.mail@gmx.de>  Thu, 22 Jun 2017 20:52:39 +0200

kaidan (0.2.1-1) sid; urgency=medium

  * New upstream release

 -- LNJ <git@lnj.li>  Thu, 08 Jun 2017 14:37:28 +0200

kaidan (0.2.0-1) sid; urgency=medium

  * New upstream release

 -- LNJ <git@lnj.li>  Tue, 06 Jun 2017 23:05:13 +0200

kaidan (0.2.0-dev+git20170605-1) sid; urgency=medium

  * New development version from VCS

 -- LNJ <git@lnj.li>  Mon, 05 Jun 2017 22:54:18 +0200

kaidan (0.2.0-dev+git20170501-1) sid; urgency=medium

  * Update version from git

 -- JBBgameich <jbb.mail@gmx.de>  Mon, 01 May 2017 19:45:09 +0200

kaidan (0.0.1-1) experimental; urgency=medium

  * Initial release of the debian package

 -- JBBgameich <jbb.mail@gmx.de>  Mon, 13 Feb 2017 19:11:03 +0100
