## kaidan 0.12.2+p24.04+vstable+git20250914.1546

=== debian/changelog ===
kaidan (0.12.2+p24.04+vstable+git20250914.1546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 15:46:41 +0000
