## kaidan 0.13.0

=== debian/changelog ===
kaidan (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libqxmppqt6-dev to 1.11.0
    - add qtkeychain-qt6-dev
  * Update the patches:
    - tests-no-network.diff: refresh
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Do not ship SPDX .license files.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Dec 2025 06:23:51 +0100
