=== debian/control ===
Source: kaidan
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.11.0~),
               kirigami-addons-dev (>= 1.4.0~),
               libicu-dev (>= 61.0~),
               libkdsingleapplication-qt6-dev,
               libkf6crash-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6prison-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libqxmppqt6-dev (>= 1.11.0~),
               qml6-module-org-kde-kquickimageeditor,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-positioning-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
               qtkeychain-qt6-dev (>= 0.15~),
Standards-Version: 4.7.2
Homepage: https://www.kaidan.im/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaidan
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaidan.git

Package: kaidan
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Simple and user-friendly Jabber/XMPP client
 Kaidan is a simple, user-friendly and modern chat client. It uses the open
 communication protocol XMPP (Jabber).
 .
 The user interface makes use of Kirigami and QtQuick, while the back-end of
 Kaidan is entirely written in C++ using Qt and the Qt-based XMPP library
 QXmpp.
