## kaidan 0.13.0+p24.04+vstable+git20260101.0155

=== debian/changelog ===
kaidan (0.13.0+p24.04+vstable+git20260101.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:55:57 +0000

kaidan (0.13.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 03 Dec 2025 12:29:12 +1000
