## kaidan 0.13.0+p24.04+vstable+git20260103.0358

=== debian/changelog ===
kaidan (0.13.0+p24.04+vstable+git20260103.0358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:58:53 +0000
