## kaidan 0.13.0+p24.04+vunstable+git20251203.1102

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 set(CMAKE_CXX_STANDARD 23)
-set(QT_MIN_VERSION "6.6.0")
+set(QT_MIN_VERSION "6.7.0")
 set(KF_MIN_VERSION "6.11.0")
 
 if(POLICY CMP0071)
@@ -39,9 +39,9 @@
 
 # Version
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 12)
-set(VERSION_PATCH 2)
-set(VERSION_CODE 23)
+set(VERSION_MINOR 13)
+set(VERSION_PATCH 0)
+set(VERSION_CODE 24)
 set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # CMake options
@@ -52,6 +52,11 @@
 
 # Find packages
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Concurrent Qml Quick Svg Sql QuickControls2 Xml Multimedia Positioning Location)
+
+if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0" AND NOT WIN32 AND NOT APPLE)
+    find_package(Qt6GuiPrivate ${QT_MIN_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO Kirigami Prison)
 if (NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
@@ -60,12 +65,19 @@
 endif()
 
 find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
-find_package(QXmppQt6 1.10.3 REQUIRED COMPONENTS Omemo)
+find_package(QXmppQt6 1.12.0 REQUIRED COMPONENTS Omemo)
 
 find_package(ICU 61.0 COMPONENTS uc)
 set_package_properties(ICU PROPERTIES
     TYPE REQUIRED
     PURPOSE "Unicode library (used for emoji support)"
+)
+
+find_package(Qt6Keychain 0.15 REQUIRED)
+set_package_properties(Qt6Keychain PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Secure credential storage"
+    URL "https://github.com/frankosterfeld/qtkeychain"
 )
 
 ecm_set_disabled_deprecation_versions(
@@ -98,14 +110,6 @@
         DESCRIPTION "Integration with QWidget based desktop styles"
         TYPE OPTIONAL
     )
-endif()
-
-# Platform-specific
-if(Qt6Widgets_FOUND)
-    add_definitions(-DHAVE_QWIDGETS -DQAPPLICATION_CLASS=QApplication)
-    set(__Qt6Widgets_LIBRARIES Qt6::Widgets)
-else()
-    add_definitions(-DQAPPLICATION_CLASS=QGuiApplication)
 endif()
 
 if(ANDROID)
