=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,33 +24,36 @@
     EXPORT KAIDAN
 )
 
+ecm_qt_declare_logging_category(
+    libkaidancore
+    HEADER KaidanXmppLog.h
+    IDENTIFIER KAIDAN_XMPP_LOG
+    CATEGORY_NAME im.kaidan.xmpp
+    DESCRIPTION "Kaidan XMPP"
+    EXPORT KAIDAN
+)
+
 target_sources(libkaidancore PRIVATE
     AbstractNotifier.h
-    AbstractQrCodeGenerator.cpp
-    AbstractQrCodeGenerator.h
     Account.cpp
     Account.h
+    AccountController.cpp
+    AccountController.h
     AccountDb.cpp
     AccountDb.h
-    AccountManager.cpp
-    AccountManager.h
-    AccountMigrationManager.cpp
-    AccountMigrationManager.h
-    AccountQrCodeGenerator.cpp
-    AccountQrCodeGenerator.h
+    AccountMigrationController.cpp
+    AccountMigrationController.h
     AccountTrustMessageUriGenerator.cpp
     AccountTrustMessageUriGenerator.h
     Algorithms.h
-    AtmManager.cpp
-    AtmManager.h
+    AtmController.cpp
+    AtmController.h
     AuthenticatableEncryptionKeyModel.cpp
     AuthenticatableEncryptionKeyModel.h
     AuthenticatedEncryptionKeyModel.cpp
     AuthenticatedEncryptionKeyModel.h
-    AvatarFileStorage.cpp
-    AvatarFileStorage.h
-    BitsOfBinaryImageProvider.cpp
-    BitsOfBinaryImageProvider.h
+    AvatarCache.cpp
+    AvatarCache.h
     Blocking.cpp
     Blocking.h
     ChatController.cpp
@@ -59,8 +62,6 @@
     ChatHintModel.h
     ClientWorker.cpp
     ClientWorker.h
-    ContactQrCodeGenerator.cpp
-    ContactQrCodeGenerator.h
     ContactTrustMessageUriGenerator.cpp
     ContactTrustMessageUriGenerator.h
     CredentialsGenerator.cpp
@@ -73,8 +74,8 @@
     Database.h
     DataFormModel.cpp
     DataFormModel.h
-    DiscoveryManager.cpp
-    DiscoveryManager.h
+    DiscoveryController.cpp
+    DiscoveryController.h
     EmojiModel.cpp
     EmojiModel.h
     Encryption.h
@@ -97,8 +98,8 @@
     Globals.h
     GroupChatController.cpp
     GroupChatController.h
-    GroupChatQrCodeGenerator.cpp
-    GroupChatQrCodeGenerator.h
+    GroupChatInviteeFilterModel.cpp
+    GroupChatInviteeFilterModel.h
     GroupChatUser.cpp
     GroupChatUser.h
     GroupChatUserDb.cpp
@@ -115,12 +116,12 @@
     HostCompletionProxyModel.cpp
     HostCompletionProxyModel.h
     JsonUtils.h
-    Kaidan.cpp
-    Kaidan.h
-    LoginQrCodeGenerator.cpp
-    LoginQrCodeGenerator.h
+    Keychain.cpp
+    Keychain.h
     LogHandler.cpp
     LogHandler.h
+    MainController.cpp
+    MainController.h
     MediaUtils.cpp
     MediaUtils.h
     MessageComposition.cpp
@@ -137,8 +138,8 @@
     MessageReactionModel.h
     MixController.cpp
     MixController.h
-    Notifications.cpp
-    Notifications.h
+    NotificationController.cpp
+    NotificationController.h
     OmemoController.cpp
     OmemoController.h
     OmemoDb.cpp
@@ -155,30 +156,28 @@
     PublicGroupChatModel.h
     PublicGroupChatProxyModel.cpp
     PublicGroupChatProxyModel.h
-    PublicGroupChatSearchManager.cpp
-    PublicGroupChatSearchManager.h
+    PublicGroupChatSearchController.cpp
+    PublicGroupChatSearchController.h
     QmlUtils.cpp
     QmlUtils.h
+    RegistrationController.cpp
+    RegistrationController.h
     RegistrationDataFormFilterModel.cpp
     RegistrationDataFormFilterModel.h
     RegistrationDataFormModel.cpp
     RegistrationDataFormModel.h
-    RegistrationManager.cpp
-    RegistrationManager.h
+    RosterController.cpp
+    RosterController.h
     RosterDb.cpp
     RosterDb.h
-    RosterFilterProxyModel.cpp
-    RosterFilterProxyModel.h
+    RosterFilterModel.cpp
+    RosterFilterModel.h
     RosterItem.cpp
     RosterItem.h
     RosterItemWatcher.cpp
     RosterItemWatcher.h
-    RosterManager.cpp
-    RosterManager.h
     RosterModel.cpp
     RosterModel.h
-    ServerFeaturesCache.cpp
-    ServerFeaturesCache.h
     Settings.cpp
     Settings.h
     SqlUtils.cpp
@@ -190,20 +189,20 @@
     SystemUtils.h
     TextFormatter.h
     TextFormatter.cpp
+    ImageProvider.h
+    ImageProvider.cpp
     TrustDb.cpp
     TrustDb.h
     TrustMessageUriGenerator.cpp
     TrustMessageUriGenerator.h
     UserDevicesModel.cpp
     UserDevicesModel.h
-    VCardCache.cpp
-    VCardCache.h
-    VCardManager.cpp
-    VCardManager.h
+    VCardController.cpp
+    VCardController.h
     VCardModel.cpp
     VCardModel.h
-    VersionManager.cpp
-    VersionManager.h
+    VersionController.cpp
+    VersionController.h
     XmlUtils.h
 
     ${CMAKE_SOURCE_DIR}/data/data.qrc
@@ -254,6 +253,7 @@
     Qt::Sql
     Qt::Svg
     Qt::Xml
+    Qt6Keychain::Qt6Keychain
     QXmpp::QXmpp QXmpp::Omemo
     ${__Qt6Widgets_LIBRARIES}
     ${__KF6Notifications_LIBRARIES}
