=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251203.1102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 11:02:39 +0000
