## kaidan 0.13.0+p24.04+vunstable+git20251206.0643

=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251206.0643-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:43:18 +0000
