## kaidan 0.13.0+p24.04+vunstable+git20251220.0346

=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251220.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:46:53 +0000
