## kaidan 0.13.0+p24.04+vunstable+git20251224.0943

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,9 @@
 endif()
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO Kirigami Prison)
+if (WIN32)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS IconThemes)
+endif()
 if (NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
    find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
