=== debian/changelog ===
kaidan (0.13.0+p24.04+vunstable+git20251224.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:43:56 +0000
