=== debian/control ===
Source: kaidan
Section: comm
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-prison-dev,
               kf6-qqc2-desktop-style-dev,
               libicu-dev,
               libkdsingleapplication-qt6-dev,
               libqxmpp-qt6-dev,
               libzxingcore-dev | libzxing-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-multimedia-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://kaidan.im
Vcs-Git: https://invent.kde.org/neon/forks/kaidan.git
Vcs-Browser: https://invent.kde.org/neon/forks/kaidan
Maintainer: Neon CI <neon@kde.org>

Package: kaidan
Architecture: any
Depends: kaidan-data,
         kf6-kirigami,
         kf6-kirigami-addons,
         kf6-prison,
         qml6-module-org-kde-kquickimageeditor,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libnotify-bin
Description: Simple, user-friendly Jabber/XMPP client for every device
 It has a modern user-interface made using Kirigami and QtQuick. The back-end
 is completely written in C++ using the XMPP client libraray gloox and Qt 5.
 .
 One of the main ideas behind it is to run the same application on all
 platforms, including mobile and desktop systems. So it even runs on Android.
 .
 Currently there are still many features not implemented, so don't expect it
 to work as a finished client will do.

Package: kaidan-data
Architecture: all
Depends: ${misc:Depends}
Description: Simple, user-friendly Jabber/XMPP client for every device
 It has a modern user-interface made using Kirigami and QtQuick. The back-end
 is completely written in C++ using the XMPP client libraray gloox and Qt 5.
 .
 One of the main ideas behind it is to run the same application on all
 platforms, including mobile and desktop systems. So it even runs on Android.
 .
 Currently there are still many features not implemented, so don't expect it
 to work as a finished client will do.
 .
 This package contains architecture independent files.
