## kaidan 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 # Version
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 13)
+set(VERSION_MINOR 14)
 set(VERSION_PATCH 0)
-set(VERSION_CODE 24)
+set(VERSION_CODE 25)
 set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # CMake options
@@ -68,7 +68,7 @@
 endif()
 
 find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
-find_package(QXmppQt6 1.12.0 REQUIRED COMPONENTS Omemo)
+find_package(QXmppQt6 1.13.0 REQUIRED COMPONENTS Omemo)
 
 find_package(ICU 61.0 COMPONENTS uc)
 set_package_properties(ICU PROPERTIES
