=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -70,12 +70,25 @@
 )
 
 ecm_add_test(
+    RosterItemTest.cpp
+    TEST_NAME RosterItemTest
+    LINK_LIBRARIES Kaidan::Tests
+)
+
+ecm_add_test(
     TrustDbTest.cpp
     TEST_NAME TrustDbTest
     LINK_LIBRARIES Kaidan::Tests
 )
 
 # Manual tests
+
+add_executable(KeychainTest
+    manual/KeychainTest.cpp
+)
+target_link_libraries(KeychainTest
+    PRIVATE Kaidan::Tests
+)
 
 add_executable(PublicGroupChatSearch
     manual/PublicGroupChatSearch.cpp
