=== debian/changelog ===
kaidan (0.14.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.14.0).
  * Update build-deps and deps with the info from cmake.
  * Required kirigami addons versions is actually 1.8.0.
  * Add/update Melvin Keskin’s key in upstream keyring.
  * Switch to debian/watch format version 5.
  * Bump Standards-Version to 4.7.3, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 16:39:04 +0100
