=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# drop unneeded SPDX license files
	find debian/kaidan -type f -name '*.license' -print -delete
