## kaidan 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 # Version
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 14)
+set(VERSION_MINOR 15)
 set(VERSION_PATCH 0)
-set(VERSION_CODE 25)
+set(VERSION_CODE 26)
 set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # CMake options
@@ -67,8 +67,8 @@
    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
-find_package(QXmppQt6 1.13.0 REQUIRED COMPONENTS Omemo)
+find_package(KF6KirigamiAddons 1.8.0 REQUIRED)
+find_package(QXmppQt6 1.14.0 REQUIRED COMPONENTS Omemo)
 
 find_package(ICU 61.0 COMPONENTS uc)
 set_package_properties(ICU PROPERTIES
@@ -82,6 +82,8 @@
     DESCRIPTION "Secure credential storage"
     URL "https://github.com/frankosterfeld/qtkeychain"
 )
+
+pkg_check_modules(GStreamer REQUIRED IMPORTED_TARGET gstreamer-1.0>=1.20)
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.0
