=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -81,14 +81,13 @@
     LINK_LIBRARIES Kaidan::Tests
 )
 
+ecm_add_test(
+    KeychainTest.cpp
+    TEST_NAME KeychainTest
+    LINK_LIBRARIES Kaidan::Tests
+)
+
 # Manual tests
-
-add_executable(KeychainTest
-    manual/KeychainTest.cpp
-)
-target_link_libraries(KeychainTest
-    PRIVATE Kaidan::Tests
-)
 
 add_executable(PublicGroupChatSearch
     manual/PublicGroupChatSearch.cpp
