=== debian/changelog ===
kaidan (0.15.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.15.0).
  * Update build-deps and deps with the info from cmake.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Refresh QML overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Feb 2026 17:49:07 +0100
