=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: kaidan
 Section: net
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>,
@@ -9,6 +8,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.11.0~),
+               gstreamer1.0-qt6,
                kirigami-addons-dev (>= 1.8.0~),
                libicu-dev (>= 61.0~),
                libkdsingleapplication-qt6-dev,
@@ -20,7 +20,7 @@
                libkf6qqc2desktopstyle-dev,
                libkf6windowsystem-dev (>= 6.11.0~),
                libkirigami-dev (>= 6.11.0~),
-               libqxmppqt6-dev (>= 1.13.0~),
+               libqxmppqt6-dev (>= 1.14.0~),
                libssl-dev (>= 1.1~),
                qml6-module-org-kde-kquickimageeditor,
                qt6-base-dev (>= 6.7.0~),
@@ -39,7 +39,8 @@
 
 Package: kaidan
 Architecture: any
-Depends: ${misc:Depends},
+Depends: gstreamer1.0-qt6,
+         ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
 Description: Simple and user-friendly Jabber/XMPP client
