=== debian/watch ===
Version: 5

Source: https://download.kde.org/unstable/@PACKAGE@/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
